## ros-galactic-mapviz 2.2.0

=== debian/changelog ===
ros-galactic-mapviz (2.2.0-3focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- P. J. Reed <preed@swri.org>  Tue, 21 Dec 2021 16:29:09 -0000

ros-galactic-mapviz (2.1.0-3focal) focal; urgency=high

  * ROS Foxy support (#695 <https://github.com/swri-robotics/mapviz/issues/695>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Thu, 22 Oct 2020 00:00:00 -0000

ros-galactic-mapviz (2.0.0-3focal) focal; urgency=high

  * Port mapviz to ROS 2 (#672 <https://github.com/swri-robotics/mapviz/issues/672>)
  * Remove OpenGL warning (#667 <https://github.com/swri-robotics/mapviz/issues/667>)
  * Resolves segfault issue on ClearHistory() function call (#651 <https://github.com/swri-robotics/mapviz/issues/651>)
  * Fix plug-in config panel to scroll per-pixel instead of per-item, allowing configuration of plug-ins that have config settings that are too large to fit in the panel all at once. (#646 <https://github.com/swri-robotics/mapviz/issues/646>)
  * Contributors: Daniel D'Souza, Marc Alban, Matthew Bries, Matthew Grogan, P. J. Reed, Jason Gassaway, John Reyes, Jacob Hassold, Kevin Nickels, Roger Strain

 -- P. J. Reed <preed@swri.org>  Wed, 13 May 2020 00:00:00 -0000

ros-galactic-mapviz (1.2.0-3focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 04 Sep 2019 00:00:00 -0000

ros-galactic-mapviz (1.1.1-3focal) focal; urgency=high

  * Set main window as in focus on start #630 <https://github.com/swri-robotics/mapviz/issues/630>
  * Specify default configuration extension on save
  * Contributors: Daniel D'Souza, mattrich37, mrichardson

 -- P. J. Reed <preed@swri.org>  Fri, 17 May 2019 00:00:00 -0000

ros-galactic-mapviz (1.1.0-3focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 20 Feb 2019 00:00:00 -0000

ros-galactic-mapviz (1.0.1-3focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 25 Jan 2019 00:00:00 -0000

ros-galactic-mapviz (1.0.0-3focal) focal; urgency=high

  * Sharing tf_manager_ between main app and plugins (#555 <https://github.com/swri-robotics/mapviz/issues/555>)
  * Contributors: Davide Faconti

 -- P. J. Reed <preed@swri.org>  Wed, 23 Jan 2019 00:00:00 -0000

ros-galactic-mapviz (0.3.0-3focal) focal; urgency=high

  * Merge all -devel branches into a single master branch
  * Add function to lock canvas movement (#596 <https://github.com/swri-robotics/mapviz/issues/596>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Fri, 16 Nov 2018 00:00:00 -0000

ros-galactic-mapviz (0.2.6-3focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 31 Jul 2018 00:00:00 -0000

ros-galactic-mapviz (0.2.5-3focal) focal; urgency=high

  * Add clear history functionality.
  * New plugin to send commands to move_base
  * improve text contrast (#550 <https://github.com/swri-robotics/mapviz/issues/550>)
  * Glew warning fixed (#539 <https://github.com/swri-robotics/mapviz/issues/539>)
  * remove copy and paste of Print...
  * add context menu to config_item (#526 <https://github.com/swri-robotics/mapviz/issues/526>)
  * Merge pull request #523 <https://github.com/swri-robotics/mapviz/issues/523> from matt-attack/add-keyboard-input-support-kinetic
  * Add keyboard input support for plugins
  * update to use non deprecated pluginlib macro
  * Fix the "File" menu actions (#513 <https://github.com/swri-robotics/mapviz/issues/513>)
  * Merge pull request #481 <https://github.com/swri-robotics/mapviz/issues/481> from pjreed/threaded-video-recording-kinetic
  * Move video recording into its own thread
  * Contributors: Davide Faconti, Marc Alban, Matthew Bries, Mikael Arguedas, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Thu, 12 Apr 2018 00:00:00 -0000

ros-galactic-mapviz (0.2.4-3focal) focal; urgency=high

  * Add basic profiling to mapviz.
  * Handle GL canvas transforms with an invalid target frame
  * Add parameter to disable auto-saving functionality.
  * Contributors: Elliot Johnson, Marc Alban, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Fri, 11 Aug 2017 00:00:00 -0000

ros-galactic-mapviz (0.2.3-3focal) focal; urgency=high

  * Fix mapviz kinetic build. (#456 <https://github.com/evenator/mapviz/issues/456>)
    Add a missing rosdep dependency on libxi-dev.
  * Contributors: Edward Venator

 -- P. J. Reed <preed@swri.org>  Sat, 10 Dec 2016 00:00:00 -0000

ros-galactic-mapviz (0.2.2-3focal) focal; urgency=high

  * Migrated OpenCV to 3.1 (default in Kinetic)
  * Contributors: Brian Holt

 -- P. J. Reed <preed@swri.org>  Wed, 07 Dec 2016 00:00:00 -0000

ros-galactic-mapviz (0.2.1-3focal) focal; urgency=high

  * Add a GUI for controlling the Image Transport (#432 <https://github.com/swri-robotics/mapviz/issues/432>)
    This will add a sub-menu under the "View" menu that will:
    - List all available image transports
    - Indicate which one is currently the default
    - Allow the user to choose which one will be used for new ImageTransport subscriptions
    - Save and restore this setting to Mapviz's config file
    - Cause any image plugins using the default transport to resubscribe
    In addition, the image plugin now has a menu that can be used to change the
    transport for that specific plugin so that it is different from the default.
    Fixes #430 <https://github.com/swri-robotics/mapviz/issues/430>
    Conflicts:
    mapviz/package.xml
  * Fix icon colors for point drawing plugins (#433 <https://github.com/swri-robotics/mapviz/issues/433>)
    This was probably broken back when all of these were refactored to have a
    single base class.  It looks like the member variable that holds the color
    used to draw the icon was never actually being updated.
    Fixes #426 <https://github.com/swri-robotics/mapviz/issues/426>
  * Remove unnecessary include
  * Fix warnings in mapviz.
    Fix several reorder and signed comparison warnings in the mapviz
    package.
  * Giving tile_map an interface overhaul

